# Zongor's World Machine

The world machine is a Virtual Machine that is intended to create 3D environments (Worlds) for video games and/or generic 3d modeling jobs

It is inspired by uxn, var'aq, TIS-100, Inferno, and Plan9.

The world machine works as a series of stack based virtual cpu's (vcpu) and ram as a simple hashmap (wram) that each have a single stack which are able to communicate with each other using message passing.

The machine code of this vcpu is a series of stack operations which act on the individal vcpu. each vcpu has the ability to ask the kernel to spawn an additional vcpu or to spawn a child vcpu off of itself which sets up a couple of communication channels automatically.

The authors implementation of ZWM in written in C and uses the SDL2 library to do drawing, sound, and other things.
